/* -----------------------------------------------------------------------------
	GSFramework
	Copyright 2001-2013 Emmanuel Julien. All Rights Reserved.
----------------------------------------------------------------------------- */


		#include "scene3d/mlight.h"
		#include "log/log.h"

		using namespace GS::S3D;
		using namespace GS::NML;


//------------------------------------------------------------------------------
bool				MLight::FromMetaTag(Tag &tag)
{
	if	(tag.name != "MLight")
		__ERR__(__LOG_E__ << "Could not parse managed light, incorrect root tag (" << tag.name << ").\n", false)

	// Parse root tags.
	NMLTagForeach(pt, tag)
	{
				if	(pt->name == "MItem")	MItem::FromMetaTag(*pt);
		else	if	(pt->name == "Light")	Light::FromMetaTag(*pt);
		else	__LOG_W__ << "Unknown tag '" << pt->name << "' in <MLight>.\n";
	}
	return true;
}
Tag					*MLight::AsMetaTag()
{
	Tag *root = new Tag("MLight");
	if	(!root)
		__ERR__(__LOG_E__ << "Could not create root tag to serialize.\n", NULL)

	root->AddChild(MItem::AsMetaTag());
	root->AddChild(Light::AsMetaTag());
	return root;
}
//------------------------------------------------------------------------------
